Package com.sun.jna

# Class ELFAnalyser.ELFSectionHeaderEntry

java.lang.Object
com.sun.jna.ELFAnalyser.ELFSectionHeaderEntry

Enclosing class:
  ELFAnalyser

static class ELFAnalyser.ELFSectionHeaderEntry extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ELFSectionHeaderEntry(boolean _64bit, ByteBuffer sectionHeaderData)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getAddr()`
  `long`
  `getFlags()`
  `int`
  `getLink()`
  `String`
  `getName()`
  `int`
  `getNameOffset()`
  `long`
  `getOffset()`
  `long`
  `getSize()`
  `int`
  `getType()`
  `void`
  `setName(String name)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ELFSectionHeaderEntry

    public ELFSectionHeaderEntry(boolean _64bit, ByteBuffer sectionHeaderData)

- ## Method Details

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getNameOffset

    public int getNameOffset()

  - ### getType

    public int getType()

  - ### getFlags

    public long getFlags()

  - ### getOffset

    public long getOffset()

  - ### getSize

    public long getSize()

  - ### getAddr

    public long getAddr()

  - ### getLink

    public int getLink()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`